(OLD) (ARCHIVED) Puppy Linux Discussion Forum Forum Index (OLD) (ARCHIVED) Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info

This forum can also be accessed as http://oldforum.puppylinux.com
It is now read-only and serves only as archives.

Please register over the NEW forum
https://forum.puppylinux.com
and continue your work there. Thank you.

 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups    
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Wed 30 Sep 2020, 03:00
All times are UTC - 4
 Forum index » House Training » Users ( For the regulars )
PPM2
Moderators: Flash, Ian, JohnMurga
This forum is locked: you cannot post, reply to, or edit topics.   This topic is locked: you cannot edit posts or make replies. View previous topic :: View next topic
Page 14 of 18 [262 Posts]   Goto page: Previous 1, 2, 3, ..., 12, 13, 14, 15, 16, 17, 18 Next
Author Message
stemsee

Joined: 27 Jun 2013
Posts: 2572
Location: In The Way

PostPosted: Mon 25 May 2015, 03:07    Post subject:  

Thanks @Mavrothal

The space those scripts will use when archived will be negligible, yet will give the option to recreate the exact original .pet with apptree, or some other as yet unwritten master-piece, with little overhead. For example Vivid-beta2 has vlc-2.2-rc2 installled. This cannot be installed from the internet via ppm. If I want to share this app with my other installations I must either locate source and build or use apptree to re-create the .pet . Well I like short-cuts, so I wrote apptree. Another exmple is if I have modified one or two scripts which are part of an installation, such as PeasyBT, or simple-remaster, I can create an upgrade package easily and automatically, providing the customised scripts retain their installed name and location, without having to remember to save the edited scripts in the system for testing and in the app dir-tree ready for packaging, and maybe some other location on the pc such as your personal scripts dir. (Does geany have the ability to save edited document in several different places automatically?)

You pointed out that my script 'apptree' cannot get the benefit of pinstall instructions. Well now it will be able to.

thanks
stemsee
Back to top
View user's profile Send private message MSN Messenger 
greengeek


Joined: 20 Jul 2010
Posts: 5834
Location: Republic of Novo Zelande

PostPosted: Mon 25 May 2015, 03:36    Post subject:  

stemsee wrote:
such as PeasyBT,
What is PeasyBT please? I can't find a reference to it. A bluetooth app maybe?
Back to top
View user's profile Send private message 
mavrothal


Joined: 24 Aug 2009
Posts: 3108

PostPosted: Mon 25 May 2015, 03:48    Post subject:  

stemsee wrote:
yet will give the option to recreate the exact original .pet

If an original pet, deb, tgz, exists somewhere why not use it again? Confused
stemsee wrote:
if I have modified one or two scripts which are part of an installation, such as PeasyBT, or simple-remaster, I can create an upgrade package easily and automatically, providing the customised scripts retain their installed name and location, without having to remember to save the edited scripts in the system for testing and in the app dir-tree ready for packaging, and maybe some other location on the pc such as your personal scripts dir.

You can do as you see fit, but I would think that providing different things under the same name may be handy/easy at the time but can only cause troubles down the road. Wink

_________________
== Here is how to solve your Linux problems fast ==
Back to top
View user's profile Send private message 
stemsee

Joined: 27 Jun 2013
Posts: 2572
Location: In The Way

PostPosted: Mon 25 May 2015, 06:59    Post subject:  

An original exists somewhere but does not mean it is quickly accessible.

In Puppy Land / Linux no matter what you do, there will be troubles down the road, but I call them changes.

@greengeek

pm rcrsn51 for PeasyBT app.
(point in hand)
Back to top
View user's profile Send private message MSN Messenger 
gcmartin

Joined: 14 Oct 2005
Posts: 6730
Location: Earth

PostPosted: Sat 30 May 2015, 15:25    Post subject:  

Wasn't sure if this idea related to PPM processing, so I opened a separate thread. ... found here..

That post is posted as some developers of PETs may know of ability for PET user interaction for some packages. Browsers are an example as some PUP members takes steps to manage cache, locations, etc. JAVA needs may be another example.

_________________
Get ACTIVE Create Circles; Do those good things which benefit people's needs!
We are all related ... Its time to show that we know this!
3 Different Puppy Search Engines or use DogPile
Back to top
View user's profile Send private message 
rg66


Joined: 23 Jul 2012
Posts: 1160
Location: Vancouver, BC Canada / Entebbe, Uganda Africa!?!

PostPosted: Thu 11 Jun 2015, 01:50    Post subject:  

I've added a check button in options to enable or disable checking for service packs. Defaults to enabled, patches below.
ppm2-sp.tar.gz
Description 
gz

 Download 
Filename  ppm2-sp.tar.gz 
Filesize  852 Bytes 
Downloaded  347 Time(s) 

_________________
X-slacko-5b1 - X-tahr-2.0 - X-precise-2.4
X-series repo
Back to top
View user's profile Send private message 
mavrothal


Joined: 24 Aug 2009
Posts: 3108

PostPosted: Thu 11 Jun 2015, 03:41    Post subject:  

rg66 wrote:
I've added a check button in options to enable or disable checking for service packs. Defaults to enabled, patches below.

OK. Added it in the list of of additional options at the bottom of the first post of this tread.

Talking about options here is one I have for some time allowing installation of malformed packages (reaffirming puppy as a hobby distro...) that appears to be appealing to some.
Code:
--- a/usr/local/petget/installpkg.sh
+++ b/usr/local/petget/installpkg.sh
@@ -228,15 +228,16 @@
   if [ "${DLPKG_MAIN}" != "${PETFOLDER}" ]; then
    pupkill $YAFPID1
    if [ "$DISPLAY" ]; then
-    /usr/lib/gtkdialog/box_ok "$(gettext 'Puppy Package Manager')" error "<b>${DLPKG_MAIN}.pet</b> $(gettext 'is named') <b>${PETFOLDER}</b> $(gettext 'inside the pet file. Will not install it!')"
+    . /usr/lib/gtkdialog/box_yesno "$(gettext 'PPM Warning - Suspicious activity')"  "<b>${DLPKG_MAIN}.pet</b> $(gettext 'is named') <b>${PETFOLDER}</b> $(gettext 'inside the pet file. This can be more than just poor packaging, and likely to generate problems either way.') <b> $(gettext 'Do you really want to install this pet???')</b>"
+    [ "$EXIT" != "yes" ] && exit 1
    else
-    dialog --msgbox "$DLPKG_MAIN.pet $(gettext 'is named') $PETFOLDER $(gettext 'inside the pet file. Will not install it!')" 0 0
+    dialog --defaultno --title "$(gettext 'PPM Warning - Suspicious activity')" --yesno "$DLPKG_MAIN.pet $(gettext 'is named') $PETFOLDER $(gettext 'inside the pet file. This can be more than just poor packaging, and likely to generate problems either way. Do you really want to install this pet???')" 0 0
+    [ $? -ne 0 ] && exit 1
    fi
-   exit 1
   fi
   if [ "`echo "$PETFILES" | grep '^\\./'`" != "" ];then
    #ttuuxx has created some pets with './' prefix...
-   pPATTERN="s%^\\./${DLPKG_NAME}%%"
+   pPATTERN="s%^\\./[^/]*%%" #MochiMoppel
    echo "$PETFILES" | sed -e "$pPATTERN" > /root/.packages/${DLPKG_NAME}.files
    install_path_check
    tar ${OPT} -x --strip=2 --directory=${DIRECTSAVEPATH}/ -f ${DLPKG_MAIN}.tar.${EXT} #120102. 120107 remove --unlink-first

If you use this hack make sure you also use this one so at least get some warning when a pet is installed with 2 (3, 4, 5,....) different names and try to uninstall one of them.
Sorry, no warning against malicious packages.
rename_warning.png
 Description   
 Filesize   16.81 KB
 Viewed   679 Time(s)

rename_warning.png


_________________
== Here is how to solve your Linux problems fast ==
Back to top
View user's profile Send private message 
slavvo67

Joined: 12 Oct 2012
Posts: 1625
Location: The other Mr. 305

PostPosted: Thu 11 Jun 2015, 20:26    Post subject:  

I somewhat disagree with the language but I respect you for trying to standardize things. Having Puppy all over the place is one of the attractions ... and distractions....

I do like PPM2 a lot! Thanks for the tweaks, though. Means a world of difference in my small little world.

Best,

Slavvo67
Back to top
View user's profile Send private message 
mavrothal


Joined: 24 Aug 2009
Posts: 3108

PostPosted: Fri 12 Jun 2015, 00:03    Post subject:  

slavvo67 wrote:
I respect you for trying to standardize things.

No, I'm done with this (and other).

_________________
== Here is how to solve your Linux problems fast ==
Back to top
View user's profile Send private message 
666philb


Joined: 07 Feb 2010
Posts: 3635
Location: wales ... by the sea

PostPosted: Tue 30 Jun 2015, 12:40    Post subject:  

hi mavrothal,

i was wondering if there's a way to stop the terminal grabbing focus when it's installing or uninstalling?

it's annoying if you try to type anything whist it's installing multiple libs

_________________
Bionicpup64 built with bionic beaver packages http://murga-linux.com/puppy/viewtopic.php?t=114311
Xenialpup64, built with xenial xerus packages http://murga-linux.com/puppy/viewtopic.php?t=107331
Back to top
View user's profile Send private message 
mavrothal


Joined: 24 Aug 2009
Posts: 3108

PostPosted: Tue 30 Jun 2015, 15:59    Post subject:  

666philb wrote:
i was wondering if there's a way to stop the terminal grabbing focus when it's installing or uninstalling?


I do not know.
We can not background the command because installs will run in parallel and will be a mess when multiple package or dependencies must be installed.

As you know you can hide the terminal in the preferences.

_________________
== Here is how to solve your Linux problems fast ==
Back to top
View user's profile Send private message 
xanad


Joined: 28 Feb 2014
Posts: 400
Location: 2 locations: MonteRosa Alp and Milano

PostPosted: Sat 10 Oct 2015, 09:22    Post subject:  

Hi all,
PPM v2
It is a great program and very functional, but it's very difficult to translate.
Some observations and some solutions.
http://murga-linux.com/puppy/viewtopic.php?p=867192#867192

_________________
www.xanad.tk Html5 Parallax
Back to top
View user's profile Send private message Visit poster's website 
mavrothal


Joined: 24 Aug 2009
Posts: 3108

PostPosted: Wed 14 Oct 2015, 07:14    Post subject:  

xanad wrote:
but it's very difficult to translate.

Here is a version with the latest changes in woof-CE (plus some more uncommitted) that may help translation.
Please test (in translation or in English).
ppm_translate-101415.pet
Description 
pet

 Download 
Filename  ppm_translate-101415.pet 
Filesize  75.83 KB 
Downloaded  297 Time(s) 

_________________
== Here is how to solve your Linux problems fast ==
Back to top
View user's profile Send private message 
L18L


Joined: 19 Jun 2010
Posts: 3493
Location: www.eussenheim.de/

PostPosted: Wed 14 Oct 2015, 14:30    Post subject: ppm2 translation
Subject description: impossible
 

Really very difficult or even impossible, for example this:
Code:
#: /usr/local/petget/installmodes.sh:305
msgid "of the "
msgstr ""
Rolling Eyes
Back to top
View user's profile Send private message 
mavrothal


Joined: 24 Aug 2009
Posts: 3108

PostPosted: Wed 14 Oct 2015, 14:47    Post subject: Re: ppm2 translation
Subject description: impossible
 

L18L wrote:
Really very difficult or even impossible, for example this:
Code:
#: /usr/local/petget/installmodes.sh:305
msgid "of the "
msgstr ""
Rolling Eyes

I see your point though this is a different issue.
The idea of this pet is to solve the problem that some strings although gettext and translated properly, were still displayed in English.

You bring up the issue of some (inappropriate?) syntax in English that makes it in some case tricky (impossible?) to translate.
The "of the" in your specific example reads
Quote:
Last warning. ABC of the XYZ available MB will be used to install the package(s) you selected.

In a couple of languages that I understand translates fine but I' guess that in others the syntax is different and it does not. We are sure open for suggestion on the wording (we have even asked explicitly in the past) or anything else.
Better yet a patch Wink

_________________
== Here is how to solve your Linux problems fast ==
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 14 of 18 [262 Posts]   Goto page: Previous 1, 2, 3, ..., 12, 13, 14, 15, 16, 17, 18 Next
This forum is locked: you cannot post, reply to, or edit topics.   This topic is locked: you cannot edit posts or make replies. View previous topic :: View next topic
 Forum index » House Training » Users ( For the regulars )
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.1262s ][ Queries: 12 (0.0690s) ][ GZIP on ]